Contents

# Syntax fragments

LibreOfficeDev Basic syntax fragments.

#### argument fragment

          {[Optional [ByRef|ByVal]]|ParamArray} argument {{As typename|char}[ = expression]|[()]As Variant}

#### Parameters

Optional: The argument is not mandatory.

ByRef: The argument is passed by reference. ByRef is the default.

ByVal: The argument is passed by value. Its value can be modified by the called routine.

char: Type declaration character.

typename: Primitive data type name. Library or module defined types can also be specified.

= expression: Specify a default value for the argument, matching its declared type. Optional is necessary for each argument specifying a default value.

ParamArray: Use ParamArray when the number of parameters is undetermined. A typical scenario is that of a Calc user-defined function. Using ParamArray should be limited to the last argument of a routine.

UsingParamArray or = expression require Option Compatible to be placed before the executable program code in a module.

When using Option VBASupport 1, Optional arguments with no default value (= expression) are initialized according to their data type, except if Variant.

#### array fragment

          ( [[start To] end], .. )

#### Parameters

start: Lower bound of a dimension.

end: Upper bound of a dimension.

Multiple dimensions for an array are denoted using comma (,) sign.

#### typename fragment

          {Boolean|Byte|Currency|Date|Double|Integer|Long|Object|Single|String|Variant}

#### char fragment

          { % | & | ! | # | $ | @ }